=begin
#PSI Candidate Rest Eligibility Service

#PSIs REST based service to modify candidate test eligibilities.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.10

=end

require 'spec_helper'
require 'json'

# Unit tests for PsiEligibility::DefaultApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'DefaultApi' do
  before do
    # run before each test
    @instance = PsiEligibility::DefaultApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of DefaultApi' do
    it 'should create an instance of DefaultApi' do
      expect(@instance).to be_instance_of(PsiEligibility::DefaultApi)
    end
  end

  # unit tests for cancel_candidate_eligibility
  # Cancel a candidate&#39;s eligibility record.
  # Cancels the eligibility matching the supplied candidate eligiblity code.
  # @param account_code provided client specific account code.
  # @param candidate_id The unique candidate id to act on.
  # @param test_code The test code.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'cancel_candidate_eligibility test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_candidate
  # Create a new candidate eligibility record.
  # Submits a single eligibilites to the PSI Atlas system. Many parameters are optional but the more the better.
  # @param account_code provided client specific account code.
  # @param payload A new eligibility record.
  # @param [Hash] opts the optional parameters
  # @return [EligibilityResponseModel]
  describe 'create_candidate test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_candidate
  # Get the eligiblities associated with the candidate id.
  # Get&#39;s all of the eligibilities associated with the supplied candidate_id. This is useful to decide which specific eligibility needs to be updated or deleted.
  # @param account_code provided client specific account code.
  # @param candidate_id the candidate id.
  # @param [Hash] opts the optional parameters
  # @return [Array<ExistingEligibilityModel>]
  describe 'get_candidate test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_candidate_eligibilities
  # Get the eligiblities associated with the candidate id.
  # Get&#39;s all of the eligibilities associated with the supplied candidate_id fpr a specific test code.
  # @param account_code provided client specific account code.
  # @param candidate_id the candidate id.
  # @param test_code The test code.
  # @param [Hash] opts the optional parameters
  # @return [Array<ExistingEligibilityModel>]
  describe 'get_candidate_eligibilities test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_test_launch_info
  # GET test launch url
  # API endpoint to retrieve the test launch URL for a given eligibility code.
  # @param psi_eligibility_code 
  # @param [Hash] opts the optional parameters
  # @return [TestLaunchInfoModel]
  describe 'get_test_launch_info test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for modify_vouchers_of_eligibility
  # Associate a set of voucher codes to PSI Candidate Test Eligibility record. Previously attached vouchers to the eligibility record but not listed in the input would be unlinked from the eligibility record. Voucher Codes are agreed upon codes between PSI and the customer (identified by account_code)
  # @param account_code Account code or the customer code
  # @param candidate_id Candidate Id
  # @param test_code Test Code
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :payload Voucher Codes to be applied to the candidate&#39;s specified exam record
  # @return [nil]
  describe 'modify_vouchers_of_eligibility test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_candidate_eligibility
  # Update an existing candidate&#39;s eligibility record.
  # Update an existing candidate&#39;s eligibility details. Information such as candidate demographic data and eligibility, expiration and scheduled start date may be changed. You cannot change the associated test via this call. To do so you must cancel and create a new eligibility.
  # @param account_code provided client specific account code.
  # @param candidate_id The unique candidate id to update.
  # @param test_code The test code.
  # @param payload The candidate&#39;s updated eligibity record.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'update_candidate_eligibility test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
